%define upstream_name    Pod-Weaver-Section-BugsRT
%define upstream_version 0.52

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Add a BUGS pod section for rt.cpan.org
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Signature)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Pod::Weaver::Role::Section)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.520.0-10.mga8
+ Revision: 1496797
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.520.0-9.mga7
+ Revision: 1270792
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.520.0-8.mga6
+ Revision: 1032347
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.520.0-7.mga6
+ Revision: 949777
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.520.0-6.mga5
+ Revision: 790414
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.520.0-5.mga5
+ Revision: 748515
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.520.0-4.mga5
+ Revision: 686039
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.520.0-3.mga4
+ Revision: 514348
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.520.0-2.mga3
+ Revision: 372056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 16 2011 jquelin <jquelin> 0.520.0-1.mga1
+ Revision: 72564
- imported package perl-Pod-Weaver-Section-BugsRT


* Wed Mar 16 2011 cpan2dist 0.52-1mga
- initial mageia release, generated with cpan2dist
